OpenTTD Source: SlGamelogRevision Class Reference

OpenTTD Source 14.0-beta1

Public Member Functions | Static Public Attributes
SlGamelogRevision Class Reference
Inheritance diagram for SlGamelogRevision:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogRevision, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] LoggedChange *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] LoggedChange *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] LoggedChange *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] LoggedChange *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const size_t | GAMELOG_REVISION_LENGTH = 15
static char | revision_text [GAMELOG_REVISION_LENGTH]
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _gamelog_revision_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 45 of file gamelog_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlGamelogRevision::description[]
| inlinestatic

Initial value:
= {
SLEG_CONDARR("revision.text", SlGamelogRevision::revision_text, SLE_UINT8, GAMELOG_REVISION_LENGTH, SL_MIN_VERSION, SLV_STRING_GAMELOG),
SLE_CONDSSTRNAME(LoggedChangeRevision, text, "revision.text", SLE_STR, SLV_STRING_GAMELOG, SL_MAX_VERSION),
SLE_VARNAME(LoggedChangeRevision, newgrf, "revision.newgrf", SLE_UINT32),
SLE_VARNAME(LoggedChangeRevision, slver, "revision.slver", SLE_UINT16),
SLE_VARNAME(LoggedChangeRevision, modified, "revision.modified", SLE_UINT8),
}

Definition at line 50 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp

SLE_CONDSSTRNAME
#define SLE_CONDSSTRNAME(base, variable, name, type, from, to)
Storage of a std::string in some savegame versions.
Definition: saveload.h:920
SL_MIN_VERSION
@ SL_MIN_VERSION
First savegame version.
Definition: saveload.h:31
LoggedChangeRevision
Definition: gamelog_internal.h:49
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:379
SLEG_CONDARR
#define SLEG_CONDARR(name, variable, type, length, from, to)
Storage of a global fixed-size array of SL_VAR elements in some savegame versions.
Definition: saveload.h:1068
SLV_STRING_GAMELOG
@ SLV_STRING_GAMELOG
314 PR#10801 Use std::string in gamelog.
Definition: saveload.h:356
SLE_VARNAME
#define SLE_VARNAME(base, variable, name, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:957